- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_dhcp_filter – CLI command to create/modify/delete dhcp-filter

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to create, delete and modify a DHCP filter config.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_name string |  | name of the DHCP filter.
pn_trusted_ports string |  | trusted ports of dhcp config.
state string / required | Choices: present absent update | State the action to perform. Use `present` to create dhcp-filter and `absent` to delete dhcp-filter `update` to modify the dhcp-filter.

## Examples

    - name: dhcp filter create
      pn_dhcp_filter:
        pn_cliswitch: "sw01"
        pn_name: "foo"
        state: "present"
        pn_trusted_ports: "1"

    - name: dhcp filter delete
      pn_dhcp_filter:
        pn_cliswitch: "sw01"
        pn_name: "foo"
        state: "absent"
        pn_trusted_ports: "1"

    - name: dhcp filter modify
      pn_dhcp_filter:
        pn_cliswitch: "sw01"
        pn_name: "foo"
        state: "update"
        pn_trusted_ports: "1,2"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the dhcp-filter command.
stdout list | always | set of responses from the dhcp-filter command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.